Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Create content watch

POST /api/v1/content/discover/watches

Create a scheduled LinkedIn topic watch using an existing connected account.

Parameters

workspaceId
string
No description.
linkedinAccountIdrequired
string
No description.
typerequired
string
No description.
topic
queryrequired
string
No description.

Example

REST requestbash
curl -X POST "https://app.pipeline.help/api/v1/content/discover/watches" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"linkedinAccountId":"00000000-0000-4000-8000-000000000000","type":"topic","query":"example"}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"data": {
"type": "object"
}
},
"required": [
"data"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline